package com.ximai.mes.report.mapper;

import com.ximai.mes.report.request.DailyProductionReportRequest;
import org.apache.ibatis.annotations.Mapper;


import java.util.List;
import java.util.Map;

@Mapper
public interface DailyProductionReportMapper {
    List<Map> getListByProcess(DailyProductionReportRequest dailyProductionReportRequest);

    List<Map> getListByWorkshop(DailyProductionReportRequest dailyProductionReportRequest);

    List<Map> getListByWorkstation(DailyProductionReportRequest dailyProductionReportRequest);

    List<Map> getListByWorkunit(DailyProductionReportRequest dailyProductionReportRequest);

    List<Map> getListByUser(DailyProductionReportRequest dailyProductionReportRequest);
}
